import 'package:flutter/material.dart';
import 'package:gz_video_player/video.dart';

class OtherTestPage extends StatefulWidget {
  const OtherTestPage({super.key});

  @override
  State<StatefulWidget> createState() => _OtherTestPageState();
}

class _OtherTestPageState extends State<OtherTestPage> {
  String url =
      'https://mpv.videocc.net/8f38fa3352/c/8f38fa3352a8cc8f70dd384edb9b21dc_1.mp4';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('other test page'),
      ),
      body: Column(
        children: [
          GZVideoPlayer(
            dataSource: url,
            sourceType: DataSourceType.network,
            restoreVertical: false,
          ),
        ],
      ),
    );
  }
}
